import * as constants from './constants';
import axios from 'axios';
import {fromJS} from 'immutable';

export const getCategory = () => {
    return (dispatch) => {
        axios.get('/client/category/list').then((res) => {
            if (res.code === 0) {
                dispatch({
                    type: constants.GET_CATEGORY,
                    data: fromJS(res.data),
                });
            }
        })
    }
};

export const getUser = () => {
    return (dispatch) => {
        axios.get('/client/config/list').then((res) => {
            if (res.code === 0) {
                let data = {};
                res.data.forEach(item => {
                    if (item.code === "user.name") {
                        data.name = item.content;
                    }
                    if (item.code === "user.introduction") {
                        data.introduction = item.content;
                    }
                    if (item.code === "user.avatar") {
                        data.avatar = item.content;
                    }
                });

                dispatch({
                    type: constants.GET_USER,
                    data: fromJS(data)
                });
            }
        })
    }
};

export const getConfig = () => {
    return (dispatch) => {
        axios.get('/client/config/list').then((res) => {
            if (res.code === 0) {
                let data = {};
                res.data.forEach(item => {
                    if (item.code === "website.name") {
                        data.title = item.content;
                    }
                    if (item.code === "website.keywords") {
                        data.keywords = item.content;

                        let oMeta = document.createElement('meta');
                        oMeta.name = 'keywords';
                        oMeta.content = item.content;
                        document.getElementsByTagName('head')[0].appendChild(oMeta);
                    }
                    if (item.code === "website.description") {
                        data.description = item.content;

                        let Meta = document.createElement('meta');
                        Meta.name = 'description';
                        Meta.content = item.content;
                        document.getElementsByTagName('head')[0].appendChild(Meta);
                    }
                    if (item.code === "website.domain") {
                        data.domain = item.content;
                    }
                    if (item.code === "website.copyright") {
                        data.copyright = item.content;
                    }
                    if (item.code === "website.icp") {
                        data.icp = item.content;
                    }
                    if (item.code === "website.icpLink") {
                        data.icpLink = item.content
                    }
                });

                dispatch({
                    type: constants.GET_CONFIG,
                    data: fromJS(data)
                });
            }
        })
    }
};
